CppUnit project page | FAQ | CppUnit home page

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# SynchronizedObject Class Reference

Base class for synchronized object. More...

`#include <SynchronizedObject.h>`

Inheritance diagram for SynchronizedObject:

[legend]
Collaboration diagram for SynchronizedObject:

[legend]
List of all members.

## Public Member Functions
| SynchronizedObject (SynchronizationObject *syncObject=0)
virtual | ~SynchronizedObject ()
| Destructor.
## Protected Member Functions
virtual void | setSynchronizationObject (SynchronizationObject *syncObject)
| Accept a new synchronization object for protection of this instance TestResult assumes ownership of the object.
## Protected Attributes
SynchronizationObject * | m_syncObject
## Private Member Functions
| SynchronizedObject (const SynchronizedObject &copy)
| Prevents the use of the copy constructor.
void | operator= (const SynchronizedObject &copy)
| Prevents the use of the copy operator.
## Classes
class | ExclusiveZone
| Locks a synchronization object in the current scope. More...
class | SynchronizationObject
| Abstract synchronization object (mutex). More...

## Detailed Description

Base class for synchronized object.

Synchronized object are object which members are used concurrently by mutiple threads.

This class define the class SynchronizationObject which must be subclassed to implement an actual lock.

Each instance of this class holds a pointer on a lock object.

See src/msvc6/MfcSynchronizedObject.h for an example.

## Constructor & Destructor Documentation

CPPUNIT_NS_BEGIN SynchronizedObject::SynchronizedObject | ( | SynchronizationObject * | syncObject = `0` | ) |

Constructs a SynchronizedObject object.

SynchronizedObject::~SynchronizedObject | ( |  | ) | `[virtual]`

Destructor.

SynchronizedObject::SynchronizedObject | ( | const SynchronizedObject & | copy | ) | `[private]`

Prevents the use of the copy constructor.

## Member Function Documentation

void SynchronizedObject::setSynchronizationObject | ( | SynchronizationObject * | syncObject | ) | `[protected, virtual]`

Accept a new synchronization object for protection of this instance TestResult assumes ownership of the object.

void SynchronizedObject::operator= | ( | const SynchronizedObject & | copy | ) | `[private]`

Prevents the use of the copy operator.

## Member Data Documentation

SynchronizationObject* SynchronizedObject::m_syncObject`[protected]`

The documentation for this class was generated from the following files:

- SynchronizedObject.h
- SynchronizedObject.cpp

| hosts this site. |  | Send comments to: CppUnit Developers